org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmTypedImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

- All Implemented Interfaces:
    EdmNamed, EdmTyped
  Direct Known Subclasses:
    EdmElementImpl, EdmNavigationPropertyImpl

      public class EdmTypedImpl
      extends EdmNamedImpl
      implements EdmTyped

  Objects of this class represent type of the entity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EdmType` | `edmType`
    `protected EdmMultiplicity` | `multiplicity`
    `protected FullQualifiedName` | `typeName`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmTypedImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmMultiplicity` | `getMultiplicity()` See `EdmMultiplicity` for more information about possible multiplicities.
    `EdmType` | `getType()` See `EdmType` for more information about possible types.
    `void` | `setEdmType(EdmType edmType)`
    `EdmTypedImpl` | `setMultiplicity(EdmMultiplicity multiplicity)`
    `EdmTypedImpl` | `setTypeName(FullQualifiedName typeName)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Field Detail

    - #### edmType

          protected EdmType edmType

    - #### typeName

          protected FullQualifiedName typeName

    - #### multiplicity

          protected EdmMultiplicity multiplicity

  - ### Constructor Detail

    - #### EdmTypedImpl

          public EdmTypedImpl()

  - ### Method Detail

    - #### setEdmType

          public void setEdmType(EdmType edmType)

    - #### setTypeName

          public EdmTypedImpl setTypeName(FullQualifiedName typeName)

    - #### setMultiplicity

          public EdmTypedImpl setMultiplicity(EdmMultiplicity multiplicity)

    - #### getType

          public EdmType getType()
                          throws EdmException

      Description copied from interface: `EdmTyped`
      See `EdmType` for more information about possible types.
      Specified by:
        `getType` in interface `EdmTyped`
      Returns:
        `EdmType`
      Throws:
        `EdmException`

    - #### getMultiplicity

          public EdmMultiplicity getMultiplicity()
                                          throws EdmException

      Description copied from interface: `EdmTyped`
      See `EdmMultiplicity` for more information about possible multiplicities.
      Specified by:
        `getMultiplicity` in interface `EdmTyped`
      Returns:
        `EdmMultiplicity`
      Throws:
        `EdmException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmNamedImpl`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.